> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update job board posting

> Update a job board posting. Set status to PUBLISHED to publish or reopen, or CLOSED to close it.



## OpenAPI

````yaml /openapi-private.json patch /job-boards/postings/{jobBoardPostingId}
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /job-boards/postings/{jobBoardPostingId}:
    patch:
      tags:
        - Job Boards
      summary: Update job board posting
      description: >-
        Update a job board posting. Set status to PUBLISHED to publish or
        reopen, or CLOSED to close it.
      operationId: updateJobBoardPosting
      parameters:
        - name: jobBoardPostingId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateJobBoardPostingDto'
      responses:
        '204':
          description: Job board posting updated successfully.
        '400':
          description: >-
            Bad request - invalid update or missing job description content for
            publish
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Job board posting not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    UpdateJobBoardPostingDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - PUBLISHED
            - CLOSED
        targetStageId:
          type: string
          minLength: 1
        linkedInProjectUrl:
          format: uri
          type: string
        applyUrl:
          format: uri
          type: string
      id: PrivateUpdateJobBoardPostingDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````